summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-11-09 20:09:00 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2017-11-09 20:18:28 +0100
commit0e8f2a31161f9138b1731358e9e567b244c6d3d5 (patch)
tree867a9206117086871e741c4956b66e2bdb621dc4 /kde-apps/cantor
parentwww-client/qupzilla: 2.2.1 version bump (diff)
downloadgentoo-0e8f2a31161f9138b1731358e9e567b244c6d3d5.tar.gz
gentoo-0e8f2a31161f9138b1731358e9e567b244c6d3d5.tar.bz2
gentoo-0e8f2a31161f9138b1731358e9e567b244c6d3d5.zip
kde-apps: Add KDE Applications 17.08.3
Package-Manager: Portage-2.3.8, Repoman-2.3.4
Diffstat (limited to 'kde-apps/cantor')
-rw-r--r--kde-apps/cantor/Manifest1
-rw-r--r--kde-apps/cantor/cantor-17.08.3.ebuild106
2 files changed, 107 insertions, 0 deletions
diff --git a/kde-apps/cantor/Manifest b/kde-apps/cantor/Manifest
index c58ddada572..7c524ddffb9 100644
--- a/kde-apps/cantor/Manifest
+++ b/kde-apps/cantor/Manifest
@@ -1,3 +1,4 @@
DIST cantor-16.12.3.tar.xz 378460 SHA256 888677129bf30474a2f2bfe46931770f411cf8823c944e90ba4ea16d9d4eefdb SHA512 e6401d5472797894931b4c1c0a4cda7e900ede0d9c5e7d1b5a2ff518741f7f62a7f6187b5081edb231f47c1de163aa537cc195e381334ed60890eb6c73374768 WHIRLPOOL d0dbd031450ed730fdcb382a6aba778e0b9928ada3fe7c144012e95a521d53f1c13fe34bbbc6d2339e10cdf60f464327f9583e1bbbd10c1ecc6f2f43d308df33
DIST cantor-17.04.3.tar.xz 1060096 SHA256 3c24ae740de7dff3f8d062cc27c6f6ad7d40538a96997e93a4df437f05839b51 SHA512 a721c6f615c4bb8f22fbd4014e8f3a96e480acef3ffcd1ef81eae71853a487c3a248c4d433c845407d6c46b26e20707f76a00cc214e82cb489087adf8205ecbc WHIRLPOOL e1a4f9f412750af5cb923dc0107bd3593cbd5e23258e516403a5da9889ebce380998b02edc248c481424adf33249930077e0daf1986faf5d938d12cab7123318
DIST cantor-17.08.2.tar.xz 1062256 SHA256 29eddf79e4b75bbf88a09d4e4ebcaf03f9c647639aa46c08c99aa30f500a1692 SHA512 47d57cc32ed629e9581c5e183076b63b41c28242daac57dbce093dfcf9b04b4c628e8277c2f0614134a37251003b11b93aca0396e29b7973d23fd61900b6bbf3 WHIRLPOOL 8187b17479eb060c30a06f21df494055da4c5e03466f39c218ec17fd6061c242bd0991ee2c8a6e3ce3c46c8dd174c99e7149c85b4cd1616a0707b5a9b1ca218e
+DIST cantor-17.08.3.tar.xz 1062400 SHA256 3c59c8ac854930d19ec2345853cf613904d43df491e8efc44cb9d0cf3b0de77b SHA512 92d40921b4121e7053381f071eaf08ba2a5bfdd42272ff749db726aa300878561b8079118a0ea61173269abb04fa1cbfeb8dba27da8701ecd2b17876c64a108b WHIRLPOOL 447a1dd4c8c089eadc9402b9493a8fc176abc0db4e63fac626015f574893900685f730119718d37942fa78686559a29ee9ed7dec7c3ba17f5f7b8eb40aeb4c95
diff --git a/kde-apps/cantor/cantor-17.08.3.ebuild b/kde-apps/cantor/cantor-17.08.3.ebuild
new file mode 100644
index 00000000000..1aa548e3c43
--- /dev/null
+++ b/kde-apps/cantor/cantor-17.08.3.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_HANDBOOK="forceoptional"
+KDE_TEST="forceoptional"
+PYTHON_COMPAT=( python2_7 )
+# FIXME: PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+inherit kde5 python-r1
+
+DESCRIPTION="Interface for doing mathematics and scientific computing"
+HOMEPAGE="https://www.kde.org/applications/education/cantor https://edu.kde.org/cantor/"
+KEYWORDS="~amd64 ~x86"
+IUSE="+analitza julia lua postscript python qalculate R"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+# TODO Add Sage Mathematics Software backend (http://www.sagemath.org)
+# FIXME: $(python_gen_cond_dep 'dev-qt/qtdbus:5' 'python3*')
+DEPEND="
+ $(add_frameworks_dep karchive)
+ $(add_frameworks_dep kcompletion)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kcrash)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep knewstuff)
+ $(add_frameworks_dep kparts)
+ $(add_frameworks_dep kpty)
+ $(add_frameworks_dep ktexteditor)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kxmlgui)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtprintsupport)
+ $(add_qt_dep qtsvg)
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ $(add_qt_dep qtxmlpatterns)
+ analitza? ( $(add_kdeapps_dep analitza) )
+ julia? ( dev-lang/julia )
+ lua? ( dev-lang/luajit:2 )
+ qalculate? (
+ sci-libs/cln
+ sci-libs/libqalculate:=
+ )
+ postscript? ( app-text/libspectre )
+ python? ( ${PYTHON_DEPS} )
+ R? ( dev-lang/R )
+"
+RDEPEND="${DEPEND}"
+
+RESTRICT+=" test"
+
+pkg_pretend() {
+ kde5_pkg_pretend
+
+ if ! has_version sci-mathematics/maxima && ! has_version sci-mathematics/octave && \
+ ! use analitza && ! use julia && ! use lua && ! use python && ! use qalculate && ! use R; then
+ einfo "You have decided to build ${PN} with no backend."
+ einfo "To have this application functional, please enable one of the backends via USE flag:"
+ einfo " analitza, lua, python, qalculate"
+ einfo "Alternatively, install one of these:"
+ einfo " # emerge sci-mathematics/maxima (bug #619534)"
+ einfo " # emerge sci-mathematics/octave"
+ einfo "Experimental available USE flags:"
+ einfo " julia (not stable, bug #613576), R (bug #619534)"
+ einfo
+ fi
+
+ if ! has_version virtual/latex-base; then
+ einfo "For LaTeX support:"
+ einfo " # emerge virtual/latex-base"
+ fi
+}
+
+pkg_setup() {
+ use python && python_setup
+ kde5_pkg_setup
+}
+
+src_prepare() {
+ kde5_src_prepare
+
+ # FIXME: shipped FindPythonLibs3.cmake does not work for Gentoo
+ sed -e "/^find_package(PythonLibs3)/ s/^/#/" \
+ -i src/backends/CMakeLists.txt || die
+}
+
+src_configure() {
+ use julia && addpredict /proc/self/mem # bug 602894
+
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package analitza Analitza5)
+ $(cmake-utils_use_find_package julia Julia)
+ $(cmake-utils_use_find_package lua LuaJIT)
+ $(cmake-utils_use_find_package postscript LibSpectre)
+ $(cmake-utils_use_find_package python PythonLibs)
+ $(cmake-utils_use_find_package qalculate Qalculate)
+ $(cmake-utils_use_find_package R R)
+ )
+ kde5_src_configure
+}